org.jboss.jca.validator.ant

## Class ValidatorTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.jboss.jca.validator.ant.ValidatorTask

- All Implemented Interfaces:
    java.lang.Cloneable

      public class ValidatorTask
      extends org.apache.tools.ant.Task

  A ValidatorTask.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatorTask()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.tools.ant.types.Path` | `createClasspath()` Add a path to the classpath.
    `void` | `execute()` Execute
    `org.apache.tools.ant.types.CommandlineJava` | `getCommandLine()` Accessor to the command line.
    `java.lang.String` | `getOutputDir()` Get the output directory.
    `java.lang.String` | `getRarFile()` Get the rarFile.
    `void` | `setClasspath(org.apache.tools.ant.types.Path s)` Set the classpath to be used when running the Java class.
    `void` | `setOutputDir(java.lang.String outputDir)` Set the output directory.
    `void` | `setRarFile(java.lang.String rarFile)` Set the rarFile.

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidatorTask

          public ValidatorTask()

      Constructor

  - ### Method Detail

    - #### getOutputDir

          public java.lang.String getOutputDir()

      Get the output directory.
      Returns:
        the outputDir.

    - #### setOutputDir

          public void setOutputDir(java.lang.String outputDir)

      Set the output directory.
      Parameters:
        `outputDir` - The outputDir to set.

    - #### getRarFile

          public java.lang.String getRarFile()

      Get the rarFile.
      Returns:
        the rarFile.

    - #### setRarFile

          public void setRarFile(java.lang.String rarFile)

      Set the rarFile.
      Parameters:
        `rarFile` - The rarFile to set.

    - #### setClasspath

          public void setClasspath(org.apache.tools.ant.types.Path s)

      Set the classpath to be used when running the Java class.
      Parameters:
        `s` - an Ant Path object containing the classpath.

    - #### createClasspath

          public org.apache.tools.ant.types.Path createClasspath()

      Add a path to the classpath.
      Returns:
        created classpath.

    - #### getCommandLine

          public org.apache.tools.ant.types.CommandlineJava getCommandLine()

      Accessor to the command line.
      Returns:
        the current command line.

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Execute
      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException` - If the build fails

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)